Bug 147399 - homograph spoofing
homograph spoofing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Marco Pesenti Gritti
impact=important,public=20050207
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 16:17 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-02 16:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-07 16:17:36 EST
*** This bug has been split off bug 147397 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.02.07
16:07 -------

The Shmoo Group has discovered a homograph attack in a number of web browsers:
http://www.shmoo.com/idn/

This issue allows an attacker supply a domain name that looks like a common
name, but is an International Domain Name.  This issue would allow various
attacks to steal information from an unsuspecting vitim.
Comment 1 Josh Bressers 2005-02-07 16:18:12 EST
Affects: FC2
Affects: FC3

Upstream is tracking this issue here:
https://bugzilla.mozilla.org/show_bug.cgi?id=281381
Comment 2 Josh Bressers 2005-05-26 16:06:45 EDT
Ping on this issue
Comment 3 Marco Pesenti Gritti 2005-05-27 03:57:35 EDT
CCing caillon/blizzard. From bug 147397 it's really not clear how this has been
fixed and I couldnt find anything obvious in the patches. Also was an fc3 update
issued for this?
I'd say it's likely the mozilla fix to also fix epiphany but... I cant say for
sure without seeing the patch.
Comment 4 Josh Bressers 2005-06-02 16:12:09 EDT
This issue has been fixed.  It was a mozilla bug, not an epiphany bug.

Note You need to log in before you can comment on or make changes to this bug.